Renew Capacity
curl --request PUT \
--url https://public-api.cloudidr.com/external/api/v1/flexcompute/capacity/auto-renewal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cidrId": "sc_238017929606",
"autoRenewalEnabled": true,
"frequency": "one-week"
}
'import requests
url = "https://public-api.cloudidr.com/external/api/v1/flexcompute/capacity/auto-renewal"
payload = {
"cidrId": "sc_238017929606",
"autoRenewalEnabled": True,
"frequency": "one-week"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cidrId: 'sc_238017929606', autoRenewalEnabled: true, frequency: 'one-week'})
};
fetch('https://public-api.cloudidr.com/external/api/v1/flexcompute/capacity/auto-renewal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Successfully update auto renewal information for policy sc_238017929606"
}{
"error": {
"code": "400",
"message": "Bad Request",
"details": {
"timestamp": "2026-01-11T01:28:16",
"description": "JSON parse error: Cannot deserialize value of type java.lang.Boolean from String \"true123\": only \"true\" or \"false\" recognized"
}
}
}{
"error": {
"code": "401",
"message": "Unauthorized",
"details": {
"timestamp": "2025-03-04T17:01:01",
"description": "Unable to process access token"
}
}
}{
"error": {
"code": "404",
"message": "Not Found",
"details": {
"timestamp": "2026-01-08T14:43:14",
"description": "Supported instance type c5.large1 and platform Linux/UNIX not found"
}
}
}{
"error": {
"code": "500",
"message": "Internal Server Error",
"details": {
"timestamp": "2025-03-04T17:17:08",
"description": "Unexpected error. Our team is working on it"
}
}
}Flex compute
Renew Capacity
Update auto-renewal configuration for a capacity policy.
PUT
/
external
/
api
/
v1
/
flexcompute
/
capacity
/
auto-renewal
Renew Capacity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Success - Auto-renewal configuration updated
⌘I

